Installing Home Assistant OS using Proxmox 7

Did you set the port number? It looks like it is set, but actually you need to do so it seems.

Before setting
image
Log entry

[22:03:50] WARNING: SSH port is disabled. Prevent start of SSH server.

image

All OK.

I’m follwing this guide to the letter and get Proxmox installed no problems.

Get HA installed without errors using the script, configure the VM accordingly, and start it up. Fine.

Then things stop working as described, as I get a weird IP address assigned, and are unable to access the HA installation through webinterface.

image

My server IP address is 192.168.1.34 (static from my router) and is used to access Proxmox.
It just will not assign an address from my DHCP range.

Getting frustrated…

That is address is the docker container. Check your router log to see the VM IP address

Thanks, my router did not assign an IP to the VM.

What I had to do was set at static IP using NMCLI command, this was then found int he router stat, so I got around and it now works.

There is a great network scanning tool you can run on your phone while connected to your WiFi called FING. It scans your network and will display everything, with it’s IP.

1 Like

It should have unless you duplicated the MAC address of the VM or don’t have DHCP on in your router…

Just got a chinese i7 NUC and get PCIe bus errors with everything I’ve tried: supervised debian would install and boot but blew up every time I installed network-manager, ubuntu live wouldn’t even boot from usb for the errors, the proxmox usb boot showed them briefly when coming up, but trudged on and now works. I just fear they will start charging. Did you have any similar problems?

I didn’t have any problems at all with either Debian or Proxmox…

There is also a desktop version now.

1 Like

I have debian 10 running on an intel system but without proxmox. I decided to rebuild the system using proxmox…I downloaded, created boot SD and selected Proxmox VE and received a message that Proxmox could not find any disk to install on. I presume that my SSD which has Debian 10 on it is not allowing proxmox to find the disk to install itself even though I don’t care if it’s overwritten. I only have the single SSD. How do I install Proxmox?

Have you formatted the drive you plan to install too?

Hi All,

I have this setup in my PVE instance and everything is working fine. I noticed that there’s a supervisor upgrade available for v4.13.

Is it safe to upgrade the supervisor from within HA? Any issues to look out for?

Cheers.

Update: I think I answered my own question. I created a clone of my working VM and upgraded the supervisor from the HA Supervisor panel which seems to be OK.

Yes, that’s totally fine. Although, if you’re mentioning 4.13, you probably mean the operating system and not the supervisor. Either way, though, both upgrades will work just fine.

Yeah, I meant OS 4.13, not Superviosr. Thanks :slight_smile:

1 Like

anyone able to run 4.13 OS with deconz and conbee 2? Mine completely freezes after the upgrade. Able to isolate by unplugging conbee 2 stick.
This was happening before with 4.12 but able to run if using /tty/ACM0 on deconz instead of the by-id address. Now both option freezes if on 4.13.
I have one issue opened: 870
I’m using nuc8i3beh with pve 6.2-11.

Good morning, did someone managed to upgrade from HA 0.114.4 to the latest 0.115.2 on proxmox? I read breaking changes, modified entity_id in sensor and binary_sensor templates, used check configuration addon, created a clone of my vm to work on it but the upgrade don’t goes, I have also nginx in a separated ct to access locally or remotely and have not set parameters descripted in http configuration, maybe the problem is that? I have never had such problems updating HA, is the first time since I use it that I can’t upgrade and I can’t find anything on web related to this problem.

Hi,
I could upgrade, only needed to increase disksize. 6G was too small.
Afterwards i removed the sensor template (entity_id) from yaml. No issues now

Check your supervisor logs. As @nontijt mentions, you might not have enough disk space.

I was able to upgrade without issue.

Thank you for this guide!

did you manage to get it to work ?